Take the 2-minute tour ×
Ask Ubuntu is a question and answer site for Ubuntu users and developers. It's 100% free, no registration required.

I was thinking of using Quickly but I don't like Glade and I want to use pyside. I want to start my starch. Should I delete all the files and create a pyside python file? Will Quickly still work with it and will it be considered for Ubuntu app showdown?

Let me tell you that pyside is the official python bindings to qt and it is under the LGPL license and it is available in default Ubuntu repository.

So tell me a good practice but I will still like to use Unity and Ubuntu specific libraries or components that quickly has.

share|improve this question
add comment

2 Answers

In that case, I would recommend using the QtQuick Quickly template that's currently in development.

With it, you'll be able to use Quickly with PySide (and QML) as you're intending to do.

Note that this template is still in development and is thus not yet part of the Quickly core set of templates, so use it at your own risk and do not expect everything to work.

That said, last time I tried it, it worked quite well, and had no issues at all with it.

Here's how to install it, simply run this command on a terminal to install it from the daily PPA:

sudo add-apt-repository ppa:quickly-templates-hackers/quickly-community-templates-daily

Then install it:

sudo apt-get update && sudo apt-get install quickly-ubuntu-application-qt-template

Once installed, you can create a QtQuick application with the following command:

quickly create ubuntu-qtquick-application <yourappname>

You can also create a pure Qt app with the Qt template:

quickly create ubuntu-qt-application <yourappname>

If you find any bugs with the template, we'd appreciate it if you would report them, which would help us make it better for you and everyone else using it.

share|improve this answer
    
man really great news to hear is it eligible for the contest according the name is it only for qtquick Qaml or all other things too. –  user49557 Jun 19 '12 at 9:11
    
Error: 'quickly-templates-hackers/quickly-community-templates-daily' invalid this the error when i run the copmmand –  user49557 Jun 19 '12 at 9:15
    
ok this works now what to install or how to get started do this have any advantage over pyside –  user49557 Jun 19 '12 at 13:08
    
Added explanation on how to use it. I haven't checked it in a while, so make sure it's ubuntu-qtquick-application or ubuntu-application-qtquick –  David Planella Jun 19 '12 at 13:23
    
the ubuntu-qt-application does not works –  user49557 Jun 20 '12 at 5:28
show 2 more comments
up vote -1 down vote accepted

Well the above method did not worked for me so i find an another method. after searching i got this website https://launchpad.net/quickly-ubuntu-qt-template and found the answer.

  • Open a terminal and add this repository using sudo add-apt-repository ppa:angeloc/quickly-ubuntu-qt-template
  • Then update your packages list sudo apt-get update the packages list will be udpated
  • Then install the required packages using sudo apt-get install quickly-ubuntu-qt-template
  • Then you can create your application using quickly create ubuntu-application-qt test-qt or quickly create ubuntu-application-qtquick test-qtquick source:quickly create https://launchpad.net/quickly-ubuntu-qt-template
share|improve this answer
1  
That is the old project where the Qt templates were started, you should better use the versions from the quickly-community-templates project –  David Planella Jun 21 '12 at 15:43
    
sorry but the above one wont work –  user49557 Jun 22 '12 at 5:42
    
It's exactly the same code, so it should work. If it does not work, would you mind telling us what exactly is not working, so that we can fix it? –  David Planella Jun 22 '12 at 6:01
    
the ppas are not working they dont have any thing and even the commands are wrong –  user49557 Jun 22 '12 at 7:08
add comment

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.